org.apache.calcite.avatica.proto

## Enum Common.StatementType

- java.lang.Object
- - java.lang.Enum<Common.StatementType>
  - - org.apache.calcite.avatica.proto.Common.StatementType

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<Common.StatementType>

Enclosing class:
  Common

    public static enum Common.StatementType
    extends Enum<Common.StatementType>
    implements com.google.protobuf.ProtocolMessageEnum

     Has to be consistent with Meta.StatementType

Protobuf enum `StatementType`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALTER` `ALTER = 9;`
`CALL` `CALL = 11;`
`CREATE` `CREATE = 7;`
`DELETE` `DELETE = 3;`
`DROP` `DROP = 8;`
`INSERT` `INSERT = 1;`
`MERGE` `MERGE = 5;`
`OTHER_DDL` `OTHER_DDL = 10;`
`OTHER_DML` `OTHER_DML = 6;`
`SELECT` `SELECT = 0;`
`UNRECOGNIZED`
`UPDATE` `UPDATE = 2;`
`UPSERT` `UPSERT = 4;`

### Field Summary

Fields
`static int` `ALTER_VALUE` `ALTER = 9;`
`static int` `CALL_VALUE` `CALL = 11;`
`static int` `CREATE_VALUE` `CREATE = 7;`
`static int` `DELETE_VALUE` `DELETE = 3;`
`static int` `DROP_VALUE` `DROP = 8;`
`static int` `INSERT_VALUE` `INSERT = 1;`
`private static com.google.protobuf.Internal.EnumLiteMap<Common.StatementType>` `internalValueMap`
`static int` `MERGE_VALUE` `MERGE = 5;`
`static int` `OTHER_DDL_VALUE` `OTHER_DDL = 10;`
`static int` `OTHER_DML_VALUE` `OTHER_DML = 6;`
`static int` `SELECT_VALUE` `SELECT = 0;`
`static int` `UPDATE_VALUE` `UPDATE = 2;`
`static int` `UPSERT_VALUE` `UPSERT = 4;`
`private int` `value`
`private static Common.StatementType[]` `VALUES`

### Method Summary

Methods
`static Common.StatementType` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<Common.StatementType>` `internalGetValueMap()`
`static Common.StatementType` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static Common.StatementType` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static Common.StatementType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Common.StatementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SELECT

    public static final Common.StatementType SELECT

`SELECT = 0;`

#### INSERT

    public static final Common.StatementType INSERT

`INSERT = 1;`

#### UPDATE

    public static final Common.StatementType UPDATE

`UPDATE = 2;`

#### DELETE

    public static final Common.StatementType DELETE

`DELETE = 3;`

#### UPSERT

    public static final Common.StatementType UPSERT

`UPSERT = 4;`

#### MERGE

    public static final Common.StatementType MERGE

`MERGE = 5;`

#### OTHER_DML

    public static final Common.StatementType OTHER_DML

`OTHER_DML = 6;`

#### CREATE

    public static final Common.StatementType CREATE

`CREATE = 7;`

#### DROP

    public static final Common.StatementType DROP

`DROP = 8;`

#### ALTER

    public static final Common.StatementType ALTER

`ALTER = 9;`

#### OTHER_DDL

    public static final Common.StatementType OTHER_DDL

`OTHER_DDL = 10;`

#### CALL

    public static final Common.StatementType CALL

`CALL = 11;`

#### UNRECOGNIZED

    public static final Common.StatementType UNRECOGNIZED

### Field Detail

#### SELECT_VALUE

    public static final int SELECT_VALUE

`SELECT = 0;`

See Also:
  Constant Field Values

#### INSERT_VALUE

    public static final int INSERT_VALUE

`INSERT = 1;`

See Also:
  Constant Field Values

#### UPDATE_VALUE

    public static final int UPDATE_VALUE

`UPDATE = 2;`

See Also:
  Constant Field Values

#### DELETE_VALUE

    public static final int DELETE_VALUE

`DELETE = 3;`

See Also:
  Constant Field Values

#### UPSERT_VALUE

    public static final int UPSERT_VALUE

`UPSERT = 4;`

See Also:
  Constant Field Values

#### MERGE_VALUE

    public static final int MERGE_VALUE

`MERGE = 5;`

See Also:
  Constant Field Values

#### OTHER_DML_VALUE

    public static final int OTHER_DML_VALUE

`OTHER_DML = 6;`

See Also:
  Constant Field Values

#### CREATE_VALUE

    public static final int CREATE_VALUE

`CREATE = 7;`

See Also:
  Constant Field Values

#### DROP_VALUE

    public static final int DROP_VALUE

`DROP = 8;`

See Also:
  Constant Field Values

#### ALTER_VALUE

    public static final int ALTER_VALUE

`ALTER = 9;`

See Also:
  Constant Field Values

#### OTHER_DDL_VALUE

    public static final int OTHER_DDL_VALUE

`OTHER_DDL = 10;`

See Also:
  Constant Field Values

#### CALL_VALUE

    public static final int CALL_VALUE

`CALL = 11;`

See Also:
  Constant Field Values

#### internalValueMap

    private static final com.google.protobuf.Internal.EnumLiteMap<Common.StatementType> internalValueMap

#### VALUES

    private static final Common.StatementType[] VALUES

#### value

    private final int value

### Method Detail

#### values

    public static Common.StatementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Common.StatementType c : Common.StatementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Common.StatementType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static Common.StatementType valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

#### forNumber

    public static Common.StatementType forNumber(int value)

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Common.StatementType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static Common.StatementType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)